=== debian/changelog ===
kscreenlocker (6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:01:42 +0100

kscreenlocker (6.4.4-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.4)
  * Drop included upstream patches.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Aug 2025 17:28:31 +0100
