## kscreenlocker 6.4.5+p24.04+vstable+git20251019.0255

=== debian/changelog ===
kscreenlocker (6.4.5+p24.04+vstable+git20251019.0255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 02:55:55 +0000

kscreenlocker (6.4.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Sep 2025 03:54:58 +0000
