=== debian/control ===
Source: kscreenlocker
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kcrash-dev,
               kf6-kdeclarative-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-ksvg-dev,
               kf6-ktextwidgets-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-solid-dev,
               kwayland-dev,
               libkf6screen-dev,
               liblayershellqtinterface-dev,
               libpam0g-dev,
               libplasma-dev,
               libseccomp-dev,
               libwayland-dev (>= 1.3~),
               libx11-dev,
               libxcb-keysyms1-dev,
               libxcb-xtest0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxi-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/kscreenlocker
Vcs-Git: https://invent.kde.org/neon/kde/kscreenlocker.git
Vcs-Browser: https://invent.kde.org/neon/kde/kscreenlocker
Maintainer: Neon CI <neon@kde.org>

Package: kscreenlocker
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-kcmutils,
         kf6-kdeclarative,
         kf6-kirigami2,
         psmisc,
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libpam-fprintd, libpam-pkcs11, libpam-sss, systemsettings
Provides: kde-config-screenlocker, libkscreenlocker5, libkscreenlocker6
Replaces: kde-config-screenlocker, libkscreenlocker5, libkscreenlocker6
Description: Library and runtime files for kscreenlocker
 Library and components for secure lock screen architecture.
 .
 This package contains the required files for kscreenlocker.

Package: kscreenlocker-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kscreenlocker, qt6-base-dev, ${misc:Depends}
Description: Development files for kscreenlocker
 Library and components for secure lock screen architecture.
 .
 This package contains development files for kscreenlocker.

Package: kde-config-screenlocker
Architecture: all
Depends: kscreenlocker, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkscreenlocker6
Architecture: all
Depends: kscreenlocker, ${misc:Depends}
Replaces: libkscreenlocker5
Description: Dummy transitional
 Transitional dummy package.

Package: libkscreenlocker5
Architecture: all
Depends: libkscreenlocker6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
