## kscreenlocker 6.4.91

=== debian/changelog ===
kscreenlocker (6.4.91-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Reenable build-time tests.
  * New upstream release (6.4.91).
  * Update build-deps and deps with the info from cmake.
  * Drop backported commits now part of the upstream release.
  * Disable build-time tests until we have an installable plasma-
    workspace at this stage again.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Oct 2025 13:14:49 +0200
