=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
                libkscreen-dev (>= 4:6.4.91~),
                liblayershellqtinterface-dev (>= 6.4.91~),
                libpam0g-dev,
-               libplasma-dev (>= 6.4.91~),
+               libplasma-dev (>= 6.5.0~),
                libwayland-dev (>= 1.3~),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -34,7 +34,6 @@
                libxcursor-dev,
                libxi-dev,
                pkgconf,
-#               plasma-workspace <!nocheck>,
                qt6-base-dev (>= 6.9.0~),
                qt6-base-private-dev,
                qt6-declarative-dev (>= 6.9.0~),
@@ -44,7 +43,6 @@
 Homepage: https://invent.kde.org/plasma/kscreenlocker
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
-Rules-Requires-Root: no
 
 Package: kde-config-screenlocker
 Architecture: any
