## kscreenlocker 6.5.0+p24.04+vstable+git20251028.1236

=== debian/changelog ===
kscreenlocker (6.5.0+p24.04+vstable+git20251028.1236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 12:36:57 +0000
