## kscreenlocker 6.5.0+p24.04+vunstable+git20251021.0803

=== debian/changelog ===
kscreenlocker (6.5.0+p24.04+vunstable+git20251021.0803-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 08:03:10 +0000
