=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: kscreenlocker
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
-               cmake (>= 3.16~),
-               dbus-x11 <!nocheck>,
                extra-cmake-modules (>= 6.18.0~),
                gettext,
                libkf6crash-dev (>= 6.18.0~),
@@ -22,10 +22,10 @@
                libkf6svg-dev (>= 6.18.0~),
                libkf6windowsystem-dev (>= 6.18.0~),
                libkf6xmlgui-dev (>= 6.18.0~),
-               libkscreen-dev (>= 4:6.4.91~),
-               liblayershellqtinterface-dev (>= 6.4.91~),
+               libkscreen-dev (>= 4:6.5.1~),
+               liblayershellqtinterface-dev (>= 6.5.1~),
                libpam0g-dev,
-               libplasma-dev (>= 6.5.0~),
+               libplasma-dev (>= 6.5.1~),
                libwayland-dev (>= 1.3~),
                libx11-dev,
                libxcb-keysyms1-dev,
@@ -35,14 +35,12 @@
                libxi-dev,
                pkgconf,
                qt6-base-dev (>= 6.9.0~),
-               qt6-base-private-dev,
                qt6-declarative-dev (>= 6.9.0~),
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/plasma/kscreenlocker
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kscreenlocker
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kscreenlocker
+Rules-Requires-Root: no
 
 Package: kde-config-screenlocker
 Architecture: any
@@ -90,13 +88,12 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: psmisc,
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Recommends: kde-config-screenlocker,
 Suggests: libpam-fprintd,
           libpam-kwallet5,
+          libpam-sss,
           libpam-pkcs11,
-          libpam-sss,
 Breaks: libkscreenlocker5,
 Replaces: libkscreenlocker5,
 Description: Secure lock screen architecture
