=== debian/changelog ===
kscreenlocker (6.5.1+p24.04+vstable+git20251029.0653-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 06:53:28 +0000

kscreenlocker (6.5.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 29 Oct 2025 05:45:31 +0000
