=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,5 @@
 	dh $@
 
 override_dh_auto_test:
-	# Disable dh_auto_test at build time
 	:
+#	xvfb-run -a -- dbus-launch dh_auto_test -Skf6
