## kscreenlocker 6.5.3+p24.04+vunstable+git20251123.0120

=== debian/changelog ===
kscreenlocker (6.5.3+p24.04+vunstable+git20251123.0120-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 01:20:19 +0000

kscreenlocker (6.5.3-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 09:13:51 +1000

kscreenlocker (6.5.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:13:06 +1000
