## kscreenlocker 6.5.3+p24.04+vunstable+git20251201.0235

=== debian/changelog ===
kscreenlocker (6.5.3+p24.04+vunstable+git20251201.0235-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 02:35:57 +0000
