## kscreenlocker 6.5.4+p24.04+vstable+git20260103.0530

=== debian/changelog ===
kscreenlocker (6.5.4+p24.04+vstable+git20260103.0530-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 05:30:21 +0000

kscreenlocker (6.5.4-0neon) Noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Dec 2025 20:22:08 +1000
