## kscreenlocker 6.5.4+p24.04+vstable+git20260105.1054

=== debian/changelog ===
kscreenlocker (6.5.4+p24.04+vstable+git20260105.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:54:13 +0000
